Summary: Red Hat Sound system 
Name: rhsound 
Version: 1.5
Release: 1
Copyright: distributable
Group: Utilities/System
Source: rhsound-%{PACKAGE_VERSION}.tar.gz
BuildArchitectures: noarch
Prereq: chkconfig
AutoReqProv: no
Requires: aumix
BuildRoot: /tmp/rhsound

%changelog

* Wed Nov 13 1997 Mike Wangsmo <wanger@redhat.com>

- sent error to /dev/null when no sound is configured

* Mon Nov 11 1997 Mike Wangsmo <wanger@redhat.com>

- changed chkconfig description

* Fri Nov 07 1997 Mike Wangsmo <wanger@redhat.com>

- modified init scripts to record mixer settings for non-modular sound 
- made this a noarch package

* Fri Oct 31 1997 Michael Fulbright <msf@redhat.com>

- how appropriate on this day to make it modprobe modules in a service!
- added check to not run aumix -S if no sound modules loaded

* Wed Oct 29 1997 Mike Wangsmo <wanger@redhat.com>

- restructured the sound system to be run as a init service.
- first version

%description
The fake "service" created by rhsound allows sound modules to be
loaded in contrallable runlevels and preserves mixer settings on
shutdown/restarts

%prep
%setup -n rhsound

%install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m755 -o root -g root sound $RPM_BUILD_ROOT/etc/rc.d/init.d/sound

%post
/sbin/chkconfig --add sound

%postun 
if [ $1 = 0 ]; then
    # execute this only if we are NOT doing an upgrade
    /sbin/chkconfig --del sound 
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.modules README.modules.usage
%config /etc/rc.d/init.d/sound
